commit: 9e21e00b25556d5af7df3dbd47d91327dffea962
Author: Brian Dolbec <dolsen <AT> gentoo <DOT> org>
AuthorDate: Sun Mar 28 22:05:25 2021 +0000
Commit: Brian Dolbec <dolsen <AT> gentoo <DOT> org>
CommitDate: Sun Mar 28 22:16:04 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9e21e00b
dev-util/buildbot: Version bump to 3.0.2, adds py3.9
Update 9999
Package-Manager: Portage-3.0.14, Repoman-3.0.2
Signed-off-by: Brian Dolbec <dolsen <AT> gentoo.org>
dev-util/buildbot/Manifest | 1 +
...{buildbot-9999.ebuild => buildbot-3.0.2.ebuild} | 25 +++++++++++-----------
dev-util/buildbot/buildbot-9999.ebuild | 4 +++-
3 files changed, 17 insertions(+), 13 deletions(-)
diff --git a/dev-util/buildbot/Manifest b/dev-util/buildbot/Manifest
index 2a3e13d4e5f..2c5f8fc79c7 100644
--- a/dev-util/buildbot/Manifest
+++ b/dev-util/buildbot/Manifest
@@ -3,3 +3,4 @@ DIST buildbot-2.10.1.tar.gz 2271357 BLAKE2B
8320f12137b938b1a795857c2cc1e7427a19
DIST buildbot-2.8.0-fakedb.tar.xz 16204 BLAKE2B
741676e2c9117b1ab174ce49747bdfcd07766ad3e471e308398dff476f167fd231b7772c2f02002cbafb27e2ef535242d84d5aa84f4bc8942d4d216b2d5bf1f6
SHA512
c2b00d8621b3a1e521f6c17e902ae331b606dda3d319187895f26629dbdaf50caefc5d49fb150fb780e682ae431515c7ded4950d62448e8a73b8efba821c0fa1
DIST buildbot-2.8.2.tar.gz 3181035 BLAKE2B
40a3e424cc03c982549f25993a4abd2fe04bdc089ad22288af4d25724972f9f3541ef32549d2761c808845df44a972b00cf631adfc564bf4852c4b6b6ab14404
SHA512
7d7f15becc7fc1803ae4e9f1906d547c89dfe1efaa51e8fda0674a3d9b060bafbaae4cb671ec844750313247edb73f17c9014c545bce58070df0ca322a0fd9a2
DIST buildbot-2.8.4.tar.gz 3134447 BLAKE2B
67052a060c9951e584a5e94f36b92262b9a1956c22efbce7ac17d83f93edde3d9443b00a7bc3afc5918006d68cc023ea0ae913e7bbf0e7cede0d9345992f83ae
SHA512
45a6e6116ab5fec18b9b3a6d54886bcf86d3a821a79fd151f9311c8c3646c61051a194250395e203f02b9aa0161e12a9ca54b623897c74eee6133df752f1742c
+DIST buildbot-3.0.2.tar.gz 2221373 BLAKE2B
7f7e08375f0eb6eb0187dc734f0eefda5bc24c9bdce543cc6d094d67a211e909bff93d3a956b57cb14e800c52b7f05a2f823173becac37bd0a52790dfe158e1a
SHA512
137ac6fdb7e1b67542c0a5b1d5c4736ebf9b6b7ffd5a2c18795eeec3a132abcad972252baabbf585efc3ed4bb14e61d8552c4d21ceff9c71823cca42613c6f5b
diff --git a/dev-util/buildbot/buildbot-9999.ebuild
b/dev-util/buildbot/buildbot-3.0.2.ebuild
similarity index 92%
copy from dev-util/buildbot/buildbot-9999.ebuild
copy to dev-util/buildbot/buildbot-3.0.2.ebuild
index bb6920d8ce9..b1793f4d15e 100644
--- a/dev-util/buildbot/buildbot-9999.ebuild
+++ b/dev-util/buildbot/buildbot-3.0.2.ebuild
@@ -3,13 +3,10 @@
EAPI="7"
PYTHON_REQ_USE="sqlite"
-PYTHON_COMPAT=( python3_{7,8} )
-
-EGIT_REPO_URI="https://github.com/buildbot/${PN}.git"
+PYTHON_COMPAT=( python3_{7,8,9} )
DISTUTILS_USE_SETUPTOOLS="rdepend"
-inherit git-r3
inherit readme.gentoo-r1 systemd distutils-r1
MY_PV="${PV/_p/.post}"
@@ -17,11 +14,13 @@ MY_P="${PN}-${MY_PV}"
DESCRIPTION="BuildBot build automation system"
HOMEPAGE="https://buildbot.net/ https://github.com/buildbot/buildbot
https://pypi.org/project/buildbot/"
-[[ ${PV} == *9999 ]] || SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${MY_P}.tar.gz"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${MY_P}.tar.gz
+ https://dev.gentoo.org/~dolsen/distfiles/buildbot-2.8.0-fakedb.tar.xz
+"
LICENSE="GPL-2"
SLOT="0"
-KEYWORDS=""
+KEYWORDS="~amd64 ~amd64-linux ~x86-linux"
IUSE="crypt doc docker examples irc test"
RESTRICT="!test? ( test )"
@@ -32,6 +31,7 @@ RDEPEND="
>=dev-python/twisted-17.9.0[${PYTHON_USEDEP},crypt?]
>=dev-python/autobahn-0.16.0[${PYTHON_USEDEP}]
>=dev-python/sqlalchemy-1.2.0[${PYTHON_USEDEP}]
+ <dev-python/sqlalchemy-1.4.0[${PYTHON_USEDEP}]
>=dev-python/sqlalchemy-migrate-0.13[${PYTHON_USEDEP}]
>=dev-python/python-dateutil-1.5[${PYTHON_USEDEP}]
>=dev-python/txaio-2.2.2[${PYTHON_USEDEP}]
@@ -64,6 +64,7 @@ DEPEND="${RDEPEND}
dev-python/sphinx_rtd_theme[${PYTHON_USEDEP}]
)
test? (
+ dev-python/ldap3[${PYTHON_USEDEP}]
>=dev-python/mock-2.0.0[${PYTHON_USEDEP}]
dev-python/moto[${PYTHON_USEDEP}]
>=dev-python/boto3-1.12.48[${PYTHON_USEDEP}]
@@ -73,12 +74,12 @@ DEPEND="${RDEPEND}
dev-python/lz4[${PYTHON_USEDEP}]
dev-python/treq[${PYTHON_USEDEP}]
dev-python/setuptools_trial[${PYTHON_USEDEP}]
- dev-util/buildbot-pkg[${PYTHON_USEDEP}]
- dev-util/buildbot-worker[${PYTHON_USEDEP}]
- dev-util/buildbot-www[${PYTHON_USEDEP}]
+ ~dev-util/buildbot-pkg-${PV}[${PYTHON_USEDEP}]
+ ~dev-util/buildbot-worker-${PV}[${PYTHON_USEDEP}]
+ ~dev-util/buildbot-www-${PV}[${PYTHON_USEDEP}]
)"
-S=${S}/master
+S=${WORKDIR}/${MY_P}
distutils_enable_tests setup.py
@@ -92,11 +93,12 @@ pkg_setup() {
src_compile() {
distutils-r1_src_compile
+ # missing files, so skip building
if use doc; then
einfo "Generation of documentation"
pushd docs > /dev/null
#'man' target is currently broken
- emake html
+ emake html || die "Docs generation failed"
popd > /dev/null
fi
}
@@ -108,7 +110,6 @@ src_install() {
if use doc; then
HTML_DOCS=( docs/_build/html/ )
- # TODO: install man pages
fi
if use examples; then
diff --git a/dev-util/buildbot/buildbot-9999.ebuild
b/dev-util/buildbot/buildbot-9999.ebuild
index bb6920d8ce9..1d50c7e005f 100644
--- a/dev-util/buildbot/buildbot-9999.ebuild
+++ b/dev-util/buildbot/buildbot-9999.ebuild
@@ -3,7 +3,7 @@
EAPI="7"
PYTHON_REQ_USE="sqlite"
-PYTHON_COMPAT=( python3_{7,8} )
+PYTHON_COMPAT=( python3_{7,8,9} )
EGIT_REPO_URI="https://github.com/buildbot/${PN}.git"
@@ -32,6 +32,7 @@ RDEPEND="
>=dev-python/twisted-17.9.0[${PYTHON_USEDEP},crypt?]
>=dev-python/autobahn-0.16.0[${PYTHON_USEDEP}]
>=dev-python/sqlalchemy-1.2.0[${PYTHON_USEDEP}]
+ <dev-python/sqlalchemy-1.4.0[${PYTHON_USEDEP}]
>=dev-python/sqlalchemy-migrate-0.13[${PYTHON_USEDEP}]
>=dev-python/python-dateutil-1.5[${PYTHON_USEDEP}]
>=dev-python/txaio-2.2.2[${PYTHON_USEDEP}]
@@ -64,6 +65,7 @@ DEPEND="${RDEPEND}
dev-python/sphinx_rtd_theme[${PYTHON_USEDEP}]
)
test? (
+ dev-python/ldap3[${PYTHON_USEDEP}]
>=dev-python/mock-2.0.0[${PYTHON_USEDEP}]
dev-python/moto[${PYTHON_USEDEP}]
>=dev-python/boto3-1.12.48[${PYTHON_USEDEP}]